﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_warp_drawimage
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Get the source bitmap.
            using (Bitmap bm_source = new Bitmap(picSource.Image))
            {
                // Make an array of points defining the
                // transformed image's corners.
                int wid = bm_source.Width;
                int hgt = bm_source.Height;
                PointF[] corners = 
                {
                    new PointF(wid * 0.5f, 0),
                    new PointF(0, hgt * 0.4f),
                    new PointF(wid, hgt * 0.6f)
                };

                // Make a bitmap for the result.
                Bitmap bm_dest = new Bitmap(
                    (int)bm_source.Width,
                    (int)bm_source.Height);

                // Make a Graphics object for the result Bitmap.
                using (Graphics gr_dest = Graphics.FromImage(bm_dest))
                {
                    gr_dest.Clear(Color.LightGreen);

                    // Copy the source image into the destination bitmap.
                    gr_dest.DrawImage(bm_source, corners);
                }

                // Display the result.
                picDest.Image = bm_dest;
            }
        }
    }
}